import { defineNuxtPlugin } from '#app';
import { SDKLongVan } from 'sdk-longvan';

const endpoints = {
  crmEndpoint: 'https://crm-ticket-gateway.dev.longvan.vn/crm-graph-gateway/graphql', //
  productEndpoint: 'https://product-service.dev.longvan.vn/product-service/graphql',
  authorizationEndpoint: 'https://crm.dev.longvan.vn/authorization-gateway/graphql',
};

export default defineNuxtPlugin((nuxtApp) => {
  const {
    public: { PARTNERID, STOREID },
  } = nuxtApp.$config;
  console.log('🚀 ~ defineNuxtPlugin ~ PARTNERID, STOREID :', PARTNERID, STOREID);

  const sdk = new SDKLongVan(endpoints, PARTNERID, STOREID);

  return {
    provide: {
      sdk: sdk,
    },
  };
});
